Show / Hide Table of Contents

# Class CustomContextMenuItemSelectedArgs

Provides data for CustomContextMenuItemSelectedDelegate methods.

##### Inheritance

System.Object
CustomContextMenuItemSelectedArgs

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public class CustomContextMenuItemSelectedArgs

### Constructors

| Improve this Doc View Source

#### CustomContextMenuItemSelectedArgs(ContextMenuOpenedArgs, CustomContextMenuItem)

Initializes a new instance of the CustomContextMenuItemSelectedArgs class.

##### Declaration

    public CustomContextMenuItemSelectedArgs(ContextMenuOpenedArgs contextMenuOpenedArgs, CustomContextMenuItem selectedItem)

##### Parameters

Type | Name | Description
--- | --- | ---
ContextMenuOpenedArgs | contextMenuOpenedArgs | The currently opened context menu.
CustomContextMenuItem | selectedItem | The selected item within the currently opened context menu.

### Properties

| Improve this Doc View Source

#### ContextMenuOpenedArgs

Gets the currently opened context menu.

##### Declaration

    public ContextMenuOpenedArgs ContextMenuOpenedArgs { get; set; }

##### Property Value

Type | Description
--- | ---
ContextMenuOpenedArgs |

| Improve this Doc View Source

#### SelectedItem

Gets the selected item within the currently opened context menu.

##### Declaration

    public CustomContextMenuItem SelectedItem { get; set; }

##### Property Value

Type | Description
--- | ---
CustomContextMenuItem |